classification
Title: solaris/aix: Py_Initialize: can't initialize sys standard streams
Type: crash Stage:
Components: Build Versions: Python 3.1
process
Status: closed Resolution: duplicate
Dependencies: Superseder: os.popen causes illegal seek on AIX in Python 3.1rc
View: 6236
Assigned To: Nosy List: nestor, pitrou, srid
Priority: normal Keywords:

Created on 2009-06-26 23:49 by srid, last changed 2009-09-21 21:10 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
apy31-ginsu.log srid, 2009-06-26 23:49 Build log on Solaris10-x86
Messages (4)
msg89749 - (view) Author: Sridhar Ratnakumar (srid) Date: 2009-06-26 23:49
I wonder which commit introduced this regression which used to work 
before (I think till rc1).

This error occurs on solaris10-x86, solaris8-sparc, solaris8-sparc64 
and aix5-powerpc.

(...)
ranlib libpython3.1.a
cc   -o python \
                Modules/python.o \
                libpython3.1.a -lresolv -lsocket -lnsl -lintl -lrt -
ldl   -lm  
Fatal Python error: Py_Initialize: can't initialize sys standard streams
IOError: [Errno 29] Illegal seek
*** Error code 134
The following command caused the error:
case $MAKEFLAGS in \
*s*)  CC='cc' LDSHARED='cc -G' OPT='-DNDEBUG -O' ./python -E ./setup.py 
-q build;; \
*)  CC='cc' LDSHARED='cc -G' OPT='-DNDEBUG -O' ./python -E ./setup.py 
build;; \
esac
make: Fatal error: Command failed for target `sharedmods'


Entire build log (solaris10-x86) is attached.
msg89750 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-06-26 23:55
Is it the same as #6236?
msg89885 - (view) Author: Sridhar Ratnakumar (srid) Date: 2009-06-29 22:16
Yes, I get the same "Illegal seek" traceback for nestor's ``os.popen
('cat', 'w')`` even though it happens on all of: solaris10-x86, 
solaris8-sparc, solaris8-sparc64 and aix5-powerpc.

Hmm, so this is a duplicate bug?
msg90354 - (view) Author: nestor (nestor) Date: 2009-07-09 20:49
Maybe make test will help troubleshoot this (BTW how do I enable verbose
mode?):

test test_ascii_formatd failed -- errors occurred; run in verbose mode
for details
test_cmath
test test_cmath failed -- Traceback (most recent call last):
  File
"/datawhse/test/data/export/ptst/Python-3.1/Lib/test/test_cmath.py",
line 362, in test_specific_values
    self.fail(error_message)
AssertionError: atan0000: atan(complex(0.0, 0.0))
Expected: complex(0.0, 0.0)
Received: complex(0.0, -0.0)
Received value insufficiently close to expected value.
test_cmd_line
test test_cmd_line failed -- errors occurred; run in verbose mode for
details
test_cmd_line_script
test test_cmd_line_script failed -- errors occurred; run in verbose mode
for details
test_code
test_distutils
Exception AttributeError: "'_Stream' object has no attribute 'cmp'" in
<bound method _Stream.__del__ of <tarfile._Stream object at 0x218c2d70>>
ignored
Exception AttributeError: "'_Stream' object has no attribute 'cmp'" in
<bound method _Stream.__del__ of <tarfile._Stream object at 0x21763bf0>>
ignored
unable to execute cc_r: No such file or directory
unable to execute cc_r: No such file or directory
unable to execute cc_r: No such file or directory
Exception AttributeError: "'_Stream' object has no attribute 'cmp'" in
<bound method _Stream.__del__ of <tarfile._Stream object at 0x21a3fc30>>
ignored
Exception AttributeError: "'_Stream' object has no attribute 'cmp'" in
<bound method _Stream.__del__ of <tarfile._Stream object at 0x21a3fdd0>>
ignored
test test_distutils failed -- errors occurred; run in verbose mode for
details
test_fileio
test test_fileio failed -- Traceback (most recent call last):
  File
"/datawhse/test/data/export/ptst/Python-3.1/Lib/test/test_fileio.py",
line 262, in testAbles
    self.assertEquals(f.seekable(), False)
AssertionError: True != False
test_httpservers
Fatal Python error: Py_Initialize: can't initialize sys standard streams
AttributeError: '_io.FileIO' object has no attribute 'raw'
Fatal Python error: Py_Initialize: can't initialize sys standard streams
AttributeError: '_io.FileIO' object has no attribute 'raw'
Fatal Python error: Py_Initialize: can't initialize sys standard streams
AttributeError: '_io.FileIO' object has no attribute 'raw'
Fatal Python error: Py_Initialize: can't initialize sys standard streams
AttributeError: '_io.FileIO' object has no attribute 'raw'
test test_httpservers failed -- errors occurred; run in verbose mode for
details
test_io
test test_io failed -- errors occurred; run in verbose mode for details
test_mmap
test test_mmap failed -- Traceback (most recent call last):
  File
"/datawhse/test/data/export/ptst/Python-3.1/Lib/test/test_mmap.py", line
219, in test_access_parameter
    m.flush()
mmap.error: [Errno 22] Invalid argument
test_multiprocessing
test test_multiprocessing failed -- errors occurred; run in verbose mode
for details
History
Date User Action Args
2009-09-21 21:10:58pitrousetstatus: open -> closed
resolution: duplicate
superseder: os.popen causes illegal seek on AIX in Python 3.1rc
2009-07-09 20:49:04nestorsetmessages: + msg90354
2009-06-29 22:16:41sridsetnosy: + nestor
messages: + msg89885
2009-06-26 23:55:28pitrousetnosy: + pitrou
messages: + msg89750
2009-06-26 23:49:21sridcreate